# fromhost-port

Reports the numeric source port of the sender in line with fromhost.

This property belongs to the Message Properties group.

Name:

  fromhost-port

Category:

  Message Properties

Type:

  string

## Description

The same as fromhost, but contains the numeric source port of the sender. Local inputs provide an empty string.

## Usage

    template(name="example" type="list") {
        property(name="fromhost-port")
    }

## See also

See rsyslog Properties for the category overview.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.